<main class="main-wrapper">
    <h1>{{'register_name' | transloco}}</h1>
    <h2>{{'login_title' | transloco}}</h2>
    <form [formGroup]="loginFormGroup" (ngSubmit)="onSubmit()">
        <mat-form-field appearance="fill">
            <mat-label>{{'email' | transloco}}</mat-label>
            <input matInput formControlName="email" type="email">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>{{'password' | transloco}}</mat-label>
            <input matInput formControlName="password" type="password">
        </mat-form-field>
        <button mat-raised-button color="primary" type="submit" [disabled]="!loginFormGroup.valid">
            {{'perform_login' | transloco}}
        </button>
    </form>
</main>
